function  vytvor_objekt( varargin )
global count body_objektu pX pY Data poz objekty cislo_objektu barvy

%nacteni vektoru s barvama
load colors.mat
Hrana=5;
X = Data(1).x;
Y = Data(1).y;

%pocet zmacknuti tlacitka pro vytvoreni objektu
count = count +1;

%kontrola, zda-li bylo tlacitko zmacknuto 2x
if(mod(count,2)==0)

    hold off
cla

%vykresleni objektu
 plot(pX,pY,'.')
 set(gca,'YTick',[],'XTick',[],'Xlim', [min(X)-10 max(X)+10],'Ylim', [min(Y)-10 max(Y)+10])
 hold on

%cislo objektu pro indexaci
pp = str2double(cislo_objektu);
body_objektu = sort(body_objektu);

%cell s potrebnymi daty pro objekty
  objekty{1,pp}(1,:) = poz(poz>=body_objektu(1) & poz<=body_objektu(end));
  objekty{2,pp}(1,:) = colors(pp,:);
  objekty{3,pp}(1,1) = str2double(cislo_objektu);

%vykresleni vsechn dosavadnich objektu
for i=1:size(objekty,2)
    p=objekty{1,i};
if (isempty(p)~=1)
 plot(X((objekty{1,i}(1,1)):(objekty{1,i}(1,end))),Y((objekty{1,i}(1,1)):(objekty{1,i}(1,end))),'color',objekty{2,i}(1,:),'LineStyle','.')
end 
end
 
%vykresleni krajnich bodu
 for j=1:length(poz)
        patch([(X(poz(j)) - Hrana) (X(poz(j)) + Hrana) (X(poz(j)) + Hrana) (X(poz(j)) - Hrana)], [(Y(poz(j)) - Hrana) (Y(poz(j)) - Hrana) (Y(poz(j)) + Hrana) (Y(poz(j)) + Hrana)],[1 0 0])

end

    
    body_objektu=[];
end
end